%h4
  1. Install and configure the necessary dependencies
%p
- if platform.firewall_open
  = "On #{platform.long_name}, the commands below will also open HTTP, HTTPS and SSH access in the system firewall."
%pre.command
  = platform.dependency_commands
  = platform.firewall_open
  %button{ copy_btn_options("#{platform.dependency_commands}\r\n#{platform.firewall_open}\r\n") }
    %i.fa.fa-clipboard
%p
  Next, install Postfix to send notification emails. If you want to use another solution to send emails please skip this step and
  %a{ href: "https://docs.gitlab.com/omnibus/settings/smtp.html" } configure an external SMTP server
  after GitLab has been installed.
%pre.command
  = platform.postfix_commands
  %button{ copy_btn_options("#{platform.postfix_commands}\r\n") }
    %i.fa.fa-clipboard
%p
  During Postfix installation a configuration screen may appear. Select 'Internet Site' and press enter. Use your server's external DNS for 'mail name' and press enter. If additional screens appear, continue to press enter to accept the defaults.
%h4
  2. Add the GitLab package repository and install the package
%p
  Add the GitLab package repository.
%pre.command
  = "#{platform.download_command}\n"
  %button{ copy_btn_options("#{platform.download_command}\r\n") }
    %i.fa.fa-clipboard
%p
:markdown
  Next, install the GitLab package. Change `https://gitlab.example.com` to the URL at which you want to access your GitLab instance.  Installation will automatically configure and start GitLab at that URL.

  For `https://` URLs GitLab will automatically [request a certificate with Let's Encrypt](https://docs.gitlab.com/omnibus/settings/ssl.html#lets-encrypthttpsletsencryptorg-integration), which requires inbound HTTP access and a valid hostname. You can also [use your own certificate](https://docs.gitlab.com/omnibus/settings/nginx.html#manually-configuring-https) or just use http://.
%pre.command
  = "#{platform.install_commands}"
  %button{ copy_btn_options("#{platform.install_commands}") }
    %i.fa.fa-clipboard
%h4
  3. Browse to the hostname and login
:markdown
  On your first visit, you'll be redirected to a password reset screen. Provide the password for the initial administrator account and you will be redirected back to the login screen. Use the default account's username `root` to login.

  See our [documentation for detailed instructions on installing and configuration](https://docs.gitlab.com/omnibus/README.html#installation-and-configuration-using-omnibus-package).
%h4
  4. Set up your communication preferences
%p
  Visit our
  %a{ href:"/company/preference-center/" }email subscription preference center
  to let us know when to communicate with you. We have an explicit email opt-in policy so you have complete control over what and how often we send you emails.
%p
  Twice a month, we send out the GitLab news you need to know, including new features, integrations, docs, and behind the scenes stories from our dev teams. For critical security updates related to bugs and system performance, sign up for our dedicated security newsletter.
:markdown
  IMPORTANT NOTE: If you do not opt-in to the security newsletter, you will not receive security alerts.
  {: .alert .alert-warning}
%h4
  5. Configure sign-up restrictions and sign-in preferences.
%p
After completing your installation, consider the [recommended practices to secure your GitLab instance](https://docs.gitlab.com/ee/security/README.html#securing-your-gitlab-installation).

.display-extra-links
  %ul
    %li
      %a{ href: "https://docs.gitlab.com/omnibus/" }
        Troubleshooting
    %li
      %a{ href: "http://docs.gitlab.com/omnibus/manual_install.html" }
        Manual installation
    %li
      %a{ href: "/install/ce-or-ee/?distro=#{link_back}" }
        CE or EE
